# QColumnView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemView.

### Constructor

- void QColumnView(QWidget parent)

### Constructor Properties

- prototype: The QColumnView prototype object

### Prototype Object Properties

The QColumnView prototype object inherits properties from the QAbstractItemView prototype object and also has the following properties.

- List columnWidths()
- QWidget previewWidget()
- void setColumnWidths(List list)
- void setPreviewWidget(QWidget widget)

### Instance Properties

QColumnView objects inherit properties from the QColumnView prototype object and also have the following properties.

- resizeGripsVisible